<!DOCTYPE html>
<html lang="en">
<head>
<title>NBP Zadaca2</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<style>
* {
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
}

h1 {
	font-size: 42px;
}

/* Style the header */
header {
  background-color: #c1c1ff;
  padding: 10px;
  text-align: center;
  font-size: 18px;
  color: black;
}

/* Create two columns/boxes that floats next to each other */
nav {
  float: left;
  width: 30%;
  height: 700px; /* only for demonstration, should be removed */
  background: #e7ffe7;
  padding: 20px;
}

/* Style the list inside the menu */
nav ul {
  list-style-type: none;
  padding: 0;
}

article {
  float: left;
  padding: 20px;
  width: 70%;
  background-color: #fff;
  height: 700px; /* only for demonstration, should be removed */
}

/* Clear floats after the columns */
section::after {
  content: "";
  display: table;
  clear: both;
}

/* Style the footer */
footer {
  background-color: #777;
  padding: 10px;
  text-align: center;
  color: white;
}

/* Responsive layout - makes the two columns/boxes stack on top of each other instead of next to each other, on small screens */
@media (max-width: 600px) {
  nav, article {
    width: 100%;
    height: auto;
  }
}

table a:link {
	color: #666;
	font-weight: bold;
	text-decoration:none;
}
table a:visited {
	color: #999999;
	font-weight:bold;
	text-decoration:none;
}
table a:active,
table a:hover {
	color: #bd5a35;
	text-decoration:underline;
}
table {
	font-family:Arial, Helvetica, sans-serif;
	color:#666;
	font-size:12px;
	text-shadow: 1px 1px 0px #fff;
	background:#eaebec;
	margin:0px;
	border:#ccc 1px solid;

	-moz-border-radius:3px;
	-webkit-border-radius:3px;
	border-radius:3px;

	-moz-box-shadow: 0 1px 2px #d1d1d1;
	-webkit-box-shadow: 0 1px 2px #d1d1d1;
	box-shadow: 0 1px 2px #d1d1d1;
}
table th {
	padding:21px 25px 22px 25px;
	border-top:1px solid #fafafa;
	border-bottom:1px solid #e0e0e0;

	background: #ededed;
	background: -webkit-gradient(linear, left top, left bottom, from(#ededed), to(#ebebeb));
	background: -moz-linear-gradient(top,  #ededed,  #ebebeb);
}
table th:first-child {
	text-align: left;
	padding-left:20px;
}
table tr:first-child th:first-child {
	-moz-border-radius-topleft:3px;
	-webkit-border-top-left-radius:3px;
	border-top-left-radius:3px;
}
table tr:first-child th:last-child {
	-moz-border-radius-topright:3px;
	-webkit-border-top-right-radius:3px;
	border-top-right-radius:3px;
}
table tr {
	text-align: center;
	padding-left:20px;
	cursor: pointer;
}
table td:first-child {
	text-align: left;
	padding-left:20px;
	border-left: 0;
}
table td {
	padding:18px;
	border-top: 1px solid #ffffff;
	border-bottom:1px solid #e0e0e0;
	border-left: 1px solid #e0e0e0;

	background: #fafafa;
	background: -webkit-gradient(linear, left top, left bottom, from(#fbfbfb), to(#fafafa));
	background: -moz-linear-gradient(top,  #fbfbfb,  #fafafa);
}
table tr.even td {
	background: #f6f6f6;
	background: -webkit-gradient(linear, left top, left bottom, from(#f8f8f8), to(#f6f6f6));
	background: -moz-linear-gradient(top,  #f8f8f8,  #f6f6f6);
}
table tr:last-child td {
	border-bottom:0;
}
table tr:last-child td:first-child {
	-moz-border-radius-bottomleft:3px;
	-webkit-border-bottom-left-radius:3px;
	border-bottom-left-radius:3px;
}
table tr:last-child td:last-child {
	-moz-border-radius-bottomright:3px;
	-webkit-border-bottom-right-radius:3px;
	border-bottom-right-radius:3px;
}
table tr:hover td {
	background: #f2f2f2;
	background: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#f0f0f0));
	background: -moz-linear-gradient(top,  #f2f2f2,  #f0f0f0);	
}

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  width: 200px;
  background-color: #e7ffe7;
}

li a {
  display: block;
  color: #000;
  padding: 8px 16px;
  text-decoration: none;
}

li a.active {
  background-color: #4CAF50;
  color: white;
}

li a:hover:not(.active) {
  background-color: #555;
  color: white;
}

.button {
  background-color: #008CBA; /* Green */
  border: none;
  color: white;
  padding: 11px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
  width: 100px;
}

.button:hover {
  background-color: #f44336;;
  color: white;
}

.button:hover span {
	display: none;
}

.button:hover:before {
	content: "Yes";
}
  
.date {
	font: 14px/22px "-apple-system", BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
    overflow: auto;
    box-sizing: border-box;
    border: 1px solid rgba(50, 50, 50, 0.6);
    padding: 1px 2px;
    cursor: pointer;
    width: 120px;
}

.order-1 { order: 1; }
.order-2 { order: 2; }
.order-3 { order: 3; }

.right-gap {
  margin-right: auto;
}

hr {
	margin-bottom: 40px;
}

</style>
</head>
<body onload="getData()">

<header>
  <h2>Napredne baze podataka - Zadaća 2</h2>
</header>

<section>
  <nav>
    <ul>
      <li><a href="/nbp-zadaca2/insert_employee">Dodaj zaposlenika</a></li>
      <li><a href="/nbp-zadaca2/insert_project">Dodaj projekat</a></li>
      <li><a href="/nbp-zadaca2/remove_project" class="active">Brisi projekat</a></li>
      <li><a href="/nbp-zadaca2/insert_task">Dodaj zadatak</a></li>
      <li><a href="/nbp-zadaca2/insert_worklog">Loguj vrijeme</a></li>
      <li><a href="/nbp-zadaca2/get_task">Lista zadataka</a></li>
      <li><a href="/nbp-zadaca2/work_logs">Timesheet</a></li>
    </ul>
  </nav>
  
  <article>
    <h1>Remove Project</h1>
    <hr>
      <table id="projects">
      <thead>
      		<tr>
      		<th>Project ID</th>
      		<th>Name</th>
      		<th>Last Update</th>
      		<th>Delete?</th>
      		</tr>
      		</thead>
      <tbody id="tbodyid">
<!--         <tr><td>Item one</td></tr> -->
<!--         <tr><td>Item two</td></tr> -->
<!--         <tr><td>Item three</td></tr> -->
      </tbody>
    </table>
  </article>
</section>

</body>
<script>
	
function getData() {
	$.ajax({
		type: "GET",
		url: "/nbp-zadaca2/remove_project",
		data: "projects=ALL",
		cache: false,
		success: function(response) {
			console.log("AAA");
			if (response.success) {
				var table = document.getElementById("projects").getElementsByTagName('tbody')[0];
				$("#tbodyid").empty();
				console.log("Got projects: " + response.projects);
				var imgSrc = 'url(https://www.clipartmax.com/png/small/307-3077307_x-mark-symbol-computer-icons-clip-art-x-symbol.png)';
				
				response.projects.forEach(function(item, index) {
					var row = table.insertRow(0);
					var xcell = row.insertCell(0);
					var span = document.createElement('span');
					span.innerHTML = "No";
					var btn = document.createElement('button');
					btn.className = "button";
					btn.appendChild(span);
// 					xcell.innerHTML = "  "
// 					xcell.width = "50px";
// 					xcell.style.backgroundImage = imgSrc;
// 					xcell.style.backgroundSize = "110px 60px";
					btn.onclick = function() {
						removeDataString = "projectid=" + item.id;
						Swal.fire({
							title: 'Are you sure you want to delete project ' + item.name + '?',
							showDenyButton: true,
							showCancelButton: true,
							confirmButtonText: `Yes`,
							denyButtonText: `No`,
							customClass: {
							  cancelButton: 'order-1 right-gap',
							  confirmButton: 'order-2',
							  denyButton: 'order-3',
							}
						}).then((result) => {
							if (result.isConfirmed) {
								$.ajax({
									type: "POST",
									url: "/nbp-zadaca2/remove_project",
									data: removeDataString,
									cache: false,
									success: function(response) {
										if (response.success) {
											Swal.fire("Success!", "Project " + item.name + " removed!", "success").then((_) => {
												window.location = "/nbp-zadaca2/remove_project";
												});
										} else {
											console.log(response.reason);
											Swal.fire("Error.", response.reason, "error");
										}
									}
								});
							} else if (result.isDenied) {
								Swal.fire('Project ' + item.name + ' not removed.', '', 'info');
							}
						});
						
					}
					xcell.appendChild(btn);
					var lastUpdateCell = row.insertCell(0);
					lastUpdateCell.innerHTML = item.lastUpdate;
					var projectCell = row.insertCell(0);
					projectCell.innerHTML = item.name;
					var idCell = row.insertCell(0);
					idCell.innerHTML = item.id;
				});
			} else {
				console.log(response.reason);
			}
		} 
	});
}
</script>
</html>